ports/lang/gcc/4.9 broken (libm update)

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

ports/lang/gcc/4.9 broken (libm update)

Stuart Henderson
The GCC ports are broken following the libm update. When run, the bootstrap
compiler works, but reports

warning: libm.so.10.0: minor version >= 1 expected, using it anyway

If there's any output from the bootstrap compiler when testing Ada,
we get

checking whether compiler driver understands Ada... no

followed by

configure: error: GNAT is required to build ada

Copying a new libm in to the bootstrap system-libs dir is enough to get
it to work, but 1) the bootstraps could do with updating, and 2) it seems
something isn't quite right with the bootstrap process anyway if it's
looking for base libs?